ew的小天地 体育 WSL安装yum报错E: Unable to locate package yum

WSL安装yum报错E: Unable to locate package yum

问题现象:在WSL中安装yum包提示报错“无法找到包yum”,如下:

### 报错信息:nReading package lists... Done nBuilding dependency tree nReading state information... Done nE: Unable to locate package yum

报错原因:无法访问软件源导致报错

解决方案:

1.进入超管账户

su root

2.备份软件源文件

cp /etc/apt/sources.list /etc/apt/sources_bak.list

3.更新sources.list中的软件源信息,

# 打开sources.list文件nvi sources.listn# 将光标移至最后,并输入【 i 】进入编辑模式,然后将下面部分软件源地址粘贴ndeb http://mirrors.tuna.tsinghua.edu.cn/ubuntu/ focal main restricted ndeb http://mirrors.tuna.tsinghua.edu.cn/ubuntu/ focal-updates main restricted ndeb http://mirrors.tuna.tsinghua.edu.cn/ubuntu/ focal universe ndeb http://mirrors.tuna.tsinghua.edu.cn/ubuntu/ focal-updates universe ndeb http://mirrors.tuna.tsinghua.edu.cn/ubuntu/ focal multiverse ndeb http://mirrors.tuna.tsinghua.edu.cn/ubuntu/ focal-updates multiverse ndeb http://mirrors.tuna.tsinghua.edu.cn/ubuntu/ focal-backports main restricted universe multiverse ndeb http://mirrors.tuna.tsinghua.edu.cn/ubuntu/ focal-security main restricted ndeb http://mirrors.tuna.tsinghua.edu.cn/ubuntu/ focal-security universe ndeb http://mirrors.tuna.tsinghua.edu.cn/ubuntu/ focal-security multiversenn# 粘贴完,按1下键盘的【esc】键退出编辑模式,同时输入【 :wq 】进行保存

4.运行代码更新并安装

apt updatenapt-get updatenapt-get upgrade

5.结束!

返回顶部